function createfigure(YData1, XData1, X1, YMatrix1)
%CREATEFIGURE(YData1, XData1, X1, YMatrix1)
%  YDATA1:  patch ydata
%  XDATA1:  patch xdata
%  X1:  vector of x data
%  YMATRIX1:  matrix of y data

%  Auto-generated by MATLAB on 13-Dec-2019 21:52:07

% Create figure
figure1 = figure;

% Create axes
axes1 = axes('Parent',figure1);
hold(axes1,'on');

% Create patch
patch('Parent',axes1,'YData',YData1,'XData',XData1,'FaceColor',[1 0 0]);

% Create patch
patch('Parent',axes1,'YData',YData1,'XData',XData1,'FaceColor',[0.8 0.8 0.8],'EdgeColor',[0.8 0.8 0.8]);

% Create multiple lines using matrix input to plot
plot1 = plot(X1,YMatrix1,'LineWidth',1);
set(plot1(1),'Color',[0 0 1]);
set(plot1(2),'Color',[1 1 0]);

% Uncomment the following line to preserve the X-limits of the axes
% xlim(axes1,[577.764966682811 1023.85540998867]);
% Uncomment the following line to preserve the Y-limits of the axes
% ylim(axes1,[0 195.212611943475]);
